gavl: gavl_video_format_s Struct Reference

gavl

Data Fields
gavl_video_format_s Struct Reference
Video » Video format definitions

Video format. More...

`#include <gavl.h>`

## Data Fields
uint32_t | frame_width
uint32_t | frame_height
uint32_t | image_width
uint32_t | image_height
uint32_t | pixel_width
uint32_t | pixel_height
gavl_pixelformat_t | pixelformat
uint32_t | frame_duration
uint32_t | timescale
gavl_framerate_mode_t | framerate_mode
gavl_chroma_placement_t | chroma_placement
gavl_interlace_mode_t | interlace_mode
gavl_timecode_format_t | timecode_format
gavl_hw_context_t * | hwctx
| Handle for accessing the frames. If NULL, frames are in regular RAM.
gavl_image_orientation_t | orientation

## Detailed Description

Video format.

## Field Documentation

## ◆ frame_width

uint32_t gavl_video_format_s::frame_width

Width of the frame buffer in pixels, might be larger than image_width

## ◆ frame_height

uint32_t gavl_video_format_s::frame_height

Height of the frame buffer in pixels, might be larger than image_height

## ◆ image_width

uint32_t gavl_video_format_s::image_width

Width of the image in pixels

## ◆ image_height

uint32_t gavl_video_format_s::image_height

Height of the image in pixels

## ◆ pixel_width

uint32_t gavl_video_format_s::pixel_width

Relative width of a pixel (pixel aspect ratio is pixel_width/pixel_height)

## ◆ pixel_height

uint32_t gavl_video_format_s::pixel_height

Relative height of a pixel (pixel aspect ratio is pixel_width/pixel_height)

## ◆ pixelformat

gavl_pixelformat_t gavl_video_format_s::pixelformat

Pixelformat

## ◆ frame_duration

uint32_t gavl_video_format_s::frame_duration

Duration of a frame in timescale tics. Meaningful only if framerate_mode is GAVL_FRAMERATE_CONSTANT

## ◆ timescale

uint32_t gavl_video_format_s::timescale

Timescale in tics per second

## ◆ framerate_mode

gavl_framerate_mode_t gavl_video_format_s::framerate_mode

Framerate mode

## ◆ chroma_placement

gavl_chroma_placement_t gavl_video_format_s::chroma_placement

Chroma placement

## ◆ interlace_mode

gavl_interlace_mode_t gavl_video_format_s::interlace_mode

Interlace mode

## ◆ timecode_format

gavl_timecode_format_t gavl_video_format_s::timecode_format

Optional timecode format

## ◆ hwctx

gavl_hw_context_t* gavl_video_format_s::hwctx

Handle for accessing the frames. If NULL, frames are in regular RAM.

The documentation for this struct was generated from the following file:

- gavl.h